View Issue Details

IDProjectCategoryView StatusLast Update
0002762ScribusNLSpublic2016-12-08 21:39
ReporterOriIdan Assigned ToFahad  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformGNU/LinuxOSDebian GNU/LinuxOS VersionDebian unstable
Product Version1.3.1 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0002762: Unable to set text justification for RTL text
DescriptionText box with RTL text (selected through the properties window) is justified to the left and can not change justification.
Steps To ReproduceOpen a text frame or a new document with text frame.
Open the story editor, type one or two sentences.
Save and quit the story editor.
Right click and select properties window
Select text properties.
Click on RTL text
Text will be justified to the left even if selecting text and clicking the right justify button.
Tags#please_test, fixed, HOST-Oman, RTL, scribusctl
PatchNo

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

cbradney

2005-10-25 19:36

administrator   ~0007203

Seems to work ok here. Please attach a sample document.

OriIdan

2005-10-25 20:16

reporter   ~0007205

I checked it again and it seem that the justification buttons work the other way around and probably that's what made me think it does not work.
When selecting RTL text the left justification works as right justification and the right justification works as left justification.

Kunda

2016-01-23 21:55

manager   ~0038382

What does LO do in this instance ? Does it change it's UI around for RTL languages ?

Kunda

2016-03-23 12:50

manager   ~0039353

Last edited: 2016-03-23 12:52

View 2 revisions

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

Issue History

Date Modified Username Field Change
2005-10-25 19:20 OriIdan New Issue
2005-10-25 19:36 cbradney Note Added: 0007203
2005-10-25 20:16 OriIdan Note Added: 0007205
2005-10-26 02:13 ringerc Status new => acknowledged
2014-07-14 20:30 Kunda Relationship added child of 0003965
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-23 21:55 Kunda Note Added: 0038382
2016-03-23 12:50 Kunda Tag Attached: #please_test
2016-03-23 12:50 Kunda Tag Attached: fixed
2016-03-23 12:50 Kunda Tag Attached: HOST-Oman
2016-03-23 12:50 Kunda Tag Attached: RTL
2016-03-23 12:50 Kunda Note Added: 0039353
2016-03-23 12:50 Kunda Patch => No
2016-03-23 12:50 Kunda Category Story Editor / Text Frames => NLS
2016-03-23 12:52 Kunda Note Edited: 0039353 View Revisions
2016-12-05 20:22 Kunda Tag Attached: scribusctl
2016-12-05 20:24 cbradney Assigned To => Fahad
2016-12-05 20:24 cbradney Status acknowledged => resolved
2016-12-05 20:24 cbradney Resolution open => fixed
2016-12-05 20:24 cbradney Fixed in Version => 1.5.3.svn
2016-12-05 20:28 cbradney Status resolved => closed
2016-12-08 21:39 cbradney Target Version => 1.5.3